# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "rsloop"
version = "0.1.15"
build = "build.rs"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "An event loop for asyncio written in Rust"
homepage = "https://github.com/RustedBytes/rsloop"
documentation = "https://github.com/RustedBytes/rsloop#readme"
readme = "README.md"
license = "Apache-2.0"
repository = "https://github.com/RustedBytes/rsloop"

[features]
default = []
profiler = [
    "dep:tracy-client",
    "profiling/profile-with-tracy",
]

[lib]
name = "rsloop"
crate-type = [
    "cdylib",
    "rlib",
]
path = "src/lib.rs"

[dependencies.async-std]
version = "1"

[dependencies.compio]
version = "0.18"
features = [
    "runtime",
    "net",
    "io",
    "signal",
    "time",
    "io-uring",
]
default-features = false

[dependencies.crossbeam-channel]
version = "0.5"

[dependencies.futures]
version = "0.3"
features = ["std"]
default-features = false

[dependencies.libc]
version = "0.2"

[dependencies.profiling]
version = "1"

[dependencies.pyo3]
version = "0.28"
features = ["extension-module"]

[dependencies.pyo3-async-runtimes]
version = "0.28"
features = ["async-std-runtime"]

[dependencies.rustls]
version = "0.23"

[dependencies.rustls-native-certs]
version = "0.8"

[dependencies.rustls-pemfile]
version = "2"

[dependencies.signal-hook]
version = "0.4"

[dependencies.socket2]
version = "0.6"

[dependencies.tracy-client]
version = "0.18"
features = [
    "enable",
    "only-localhost",
    "sampling",
    "flush-on-exit",
]
optional = true
default-features = false

[build-dependencies.pyo3-build-config]
version = "0.28"

[target."cfg(windows)".dependencies.tokio]
version = "1"
features = ["io-util"]
default-features = false

[target."cfg(windows)".dependencies.vibeio]
version = "0.2.5"
default-features = false

[target."cfg(windows)".dependencies.windows-sys]
version = "0.61"
features = [
    "Win32_Foundation",
    "Win32_Networking_WinSock",
    "Win32_System_Pipes",
    "Win32_System_Threading",
]

[profile.bench]
inherits = "release"

[profile.release]
opt-level = 3
lto = "fat"
codegen-units = 1
incremental = false
